/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
 *
 * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
 * the terms of the OpenSceneGraph Public License (OSGPL) version 0.0 or
 * (at your option) any later version.  The full license is in LICENSE file
 * included with this distribution, and on the openscenegraph.org website.
 *
 * osgVisual requires for some proprietary modules a license from the correspondig manufacturer.
 * You have to aquire licenses for all used proprietary modules.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * OpenSceneGraph Public License for more details.
*/

const unsigned int MAX_NUM_EVENTS = 10;

#ifdef _DEBUG
	#ifdef WIN32
		// Declare this in header.
		#define _CRTDBG_MAP_ALLOC
		#include <stdlib.h>
		#include <crtdbg.h>
	#endif 
#endif 


//#include <windows.h>

#include <osg/ArgumentParser>
#include <osg/Referenced>
#include <osgDB/Registry>

#include <visual_core.h>




int main(int argc, char** argv)
{
    // Use an ArgumentParser object to manage the program arguments.
	osg::ArgumentParser arguments(&argc,argv);

    // Instantiate osgVisual main class
	osg::ref_ptr<osgVisual::visual_core> core = new osgVisual::visual_core(arguments);

    // Visual initialisieren
    core->initialize();

	// Shut osgVisual down
	core->shutdown();

	// Set Pointer to null to destroy the objects before this function ends
	core = NULL;

	return 0;
}